Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Visuwesh <[email-masked]>
Date: Thu, 24 Apr 2025 23:55:05 +0530

[வியாழன் ஏப்ரல் 24, 2025] Gerd Möllmann wrote:

>> So the benchmark tests scroll time, including jit/font-lock time.
>> It uses its own copy of a major mode, so that you can compare "scroll +
>> font-lock" performance between different Emacs releases without being
>> affected by improvements/regressions in CC-mode itself.
>
> So maybe it would make sense to run both that benchmark as-is plus one
> without smie but with tamil.txt, I guess. Or in other words, now only
> the as-is benchmark, because the tamil.txt results I've already posted.

Before including tamil.txt, I would like to make clear that the file
contents is volume 1 of a (popular) novel which was released in the 50s.
I got the text itself from Project Madurai which states that [1]:

    Acknowledgement:
    Our Sincere thanks go to the following persons for their assistance in the preparation of this work.
    Etext preparation : AU-KBC Research Center (Mr. Baskaran), Anna University, Chennai,India
    Proof-reading: Mr. S. Anbumani, Mr. N.D. Logasundaram,Mr. Narayanan Govindarajan,
    Ms. Pavithra Srinivasan, Mr. Ramachandran Mahadevan, Ms. Sathya, Mr. Sreeram Krishnamoorthy,
    Dr. Sridhar Rathinam, Mrs. Srilatha Rajagopal, Mr. VinothJagannathan
    Web version: Mr. S. Anbumani, Blacksburg, Virginia, USA

    This webpage presents the Etxt in Tamil script in Unicode encoding.
    This file was last revised on Apr. 12, 2003

    © Project Madurai, 1998-2021.
    Project Madurai is an open, voluntary, worldwide initiative devoted to preparation
    of electronic texts of tamil literary works and to distribute them free on the Internet.
    Details of Project Madurai are available at the website
    https://www.projectmadurai.org/
    You are welcome to freely distribute this file, provided this header page is kept intact.   

So I assume there should no problem in distributing it in the repo.  If
there could be, we could try composing all the text from any work in
freetamilebooks.com which publishes under the CC BY-NC-SA license.

1. https://www.projectmadurai.org/pm_etexts/utf8/pmuni0169_00.html